You are not logged in.

#1 2005-08-28 11:05:47

-eye
Member
Registered: 2005-08-24
Posts: 15

GNOME won't install

hi everybody!

im trying to get gnome to run on my archlinux, but the command "pacman -Sy gnome" doenst work. it prints an error message like "nss-spr conflicts with mozilla-firefox".
also tried with a complete fresh install. only base system install, + nvidia drivers and xorg with pacman, and the last would be then "gnome" but there im stuck.
has anybody a clou for this?

-eye

Offline

#2 2005-08-28 11:33:59

dtw
Forum Fellow
From: UK
Registered: 2004-08-03
Posts: 4,436
Website

Re: GNOME won't install

Are you using any pkgs from testing?  The deps and provides for mozilla-f and -t have changed and do conflict with some pkgs not in testing

Offline

#3 2005-08-28 11:50:15

T-Dawg
Forum Fellow
From: Wilmington, NC
Registered: 2005-01-29
Posts: 2,734

Re: GNOME won't install

yeah, nss-nspr shouldn't be conflicting with firefox. I've got it installed on my box without any problems:

           
[tyler@eLINUXe test]$ sudo pacman -Qi nss-nspr
Name           : nss-nspr
Version        : 3.9.2-1
Groups         : None
Packager       : Arch Linux (http://www.archlinux.org)
URL            : http://www.mozilla.org/projects/security/pki/nss/
License        : MPL GPL
Architecture   : i686
Size           : 4258543
Build Date     : Thu Feb 10 18:28:54 2005 UTC
Install Date   : Sun Aug 28 01:53:32 2005 UTC
Install Script : No
Reason:        : explicitly installed
Provides       : None
Depends On     : glibc 
Required By    : evolution-data-server 
Conflicts With : None
Description    : NSS and NSPR from mozilla.org

conflicts with none.

Offline

#4 2005-08-28 11:56:03

dtw
Forum Fellow
From: UK
Registered: 2004-08-03
Posts: 4,436
Website

Re: GNOME won't install

First is my local version from testing, second is current stock pkg

[~] : pacman -Qi mozilla-firefox
Name           : mozilla-firefox
Version        : 1.0.6-2
Groups         : None
Packager       : Arch Linux (http://www.archlinux.org)
URL            : http://www.mozilla.org/projects/firefox
License        : None
Architecture   : i686
Size           : 40434372
Build Date     : Sun Aug 14 22:27:30 2005 UTC
Install Date   : Fri Aug 19 15:39:46 2005 UTC
Install Script : Yes
Reason:        : explicitly installed
Provides       : gecko-sdk 
Depends On     : gtk2 heimdal libidl2 mozilla-common nspr 
Required By    : mplayer-plugin 
Conflicts With : gecko-sdk 
Description    : Standalone web browser from mozilla.org

[~] : pacman -Si mozilla-firefox
Repository        : current
Name              : mozilla-firefox
Version           : 1.0.4-1
Groups            : None
Provides          : gecko-sdk nss-nspr 
Depends On        : gtk2 libidl2 mozilla-common 
Conflicts With    : gecko-sdk nss-nspr 
Replaces          : mozilla-firebird phoenix 
Size (compressed) : 12111470
Description       : Standalone web browser from mozilla.org
MD5 Sum           : e09af745e3643feef154db4f55ff99dc

Offline

#5 2005-08-28 12:09:27

-eye
Member
Registered: 2005-08-24
Posts: 15

Re: GNOME won't install

hi!
thx 4 your quick answer,
im runnung pacman with the "current" and "extra" tree, but nothing testing, community, or unstable.
my predefined server for those two reps. is "ftp.archlinux.de".
maybe the server isnt uptodate? dunno.. :oops:

Offline

#6 2005-08-28 12:11:11

dtw
Forum Fellow
From: UK
Registered: 2004-08-03
Posts: 4,436
Website

Re: GNOME won't install

put nss-nspr in your pacman.conf IgnorePkg = section - it's weird because it should detect that firefox provides it already

Offline

#7 2005-08-28 12:24:05

-eye
Member
Registered: 2005-08-24
Posts: 15

Re: GNOME won't install

thank you guys, gonna try this.
..but..right its weird, my is my archlinux then not seeing that there should not be a conflict.
anyway, if problems occure with the ignorepkg command method, i think im gonna write again in here big_smile
waht would linux be without helping hands and a forum,

-eye

Offline

#8 2005-08-28 16:06:05

-eye
Member
Registered: 2005-08-24
Posts: 15

Re: GNOME won't install

hi again

bad news,

ive put "IgnorePkg = nss-nspr" in pacman.conf "[options]" and tried to install gnome again ("pacman -Sy gnome").
but then it gives me an error message where it says "evolution-data-server" requires "nss-nspr" and he asks me wether to install it or not.
proceeding with "Yes" he also tries to install nss-nspr then, and abracadabra: "nss-nspr" conflicts with "mozilla-firefox"

i didnt try to install gnome without nss-nspr, coz it is required by evolution-thingy.

have you an idea of what to do now to successfully install gnome? :cry:  wink

btw: there isnt anything like an tutorial or how-to, to install kde/gnome/xfce/whatever else WM. thast should gonna be fixed imho. roll

Offline

#9 2005-08-28 16:45:16

T-Dawg
Forum Fellow
From: Wilmington, NC
Registered: 2005-01-29
Posts: 2,734

Re: GNOME won't install

I don't know why someone can't have gnome and firefox 1.0.4 installed at the same time without those conflicts you're mentioning. Personally, I would just install firefox 1.0.6 from testing. It won't conflict with nss-nspr as the old and if you get errors of certain files existing in the filesystem from installing nss-nspr it probably means they are owned by nss. nss-nspr provides nss and nspr so it would be ok to force the install using -f switch.
I've been using 1.0.6 for a month now and its not any worse than 1.0.4 wink

Offline

#10 2005-08-28 16:46:32

Karma XXL
Member
From: Budapest, Hungary
Registered: 2005-06-13
Posts: 91

Re: GNOME won't install

I've had this problem too. Remove IgnorePkg from your pacman.conf, it won't help. You'll have to choose to install Firefox, or nss-spr.

I'd suggest installing mozilla-firefox. Install it first with pacman, then install GNOME.

# pacman -S mozilla-firefox
# pacman -S gnome

EDIT: What I've written is related to Firefox 1.0.4. I don't know if the one from testing conflicts with nss-spr, as I didn't have nss-spr installed when I upgraded to testing. I don't think I have it installed at the moment either.


Ailen:
Kernel: Linux 2.6.14-rc4-ck1 #1 PREEMPT
Built on: Mon Oct 17 14:51:37 CEST 2005
Hardware: Mobile AMD Sempron(tm) Processor 2800+ AuthenticAMD
WM: E17 snapshot 20051016

Offline

#11 2005-08-28 20:21:08

JGC
Developer
Registered: 2003-12-03
Posts: 1,659

Re: GNOME won't install

Just install firefox first, then get gnome. Pacman doesn't handle virtual dependencies very well in one run.

When everything from testing moves to current/extra in about two weeks, then this will no longer be an issue, since firefox 1.0.6 depends on nspr then.

Offline

#12 2005-08-30 17:26:24

Ridius
Member
Registered: 2005-07-07
Posts: 13

Re: GNOME won't install

I've ran into this issue several times as well. Here's how I got around it

Run the following command:

pacman -S gnome

When it asks you if you want to install all the groups, select No
Keep hitting yes on all groups until you get to Yelp - select No for Yelp

After the install, run

pacman -S yelp

Everything will go through perfectly and then you can run pacman -S gnome-extra

Offline

#13 2005-08-30 18:24:45

Moo-Crumpus
Member
From: Hessen / Germany
Registered: 2003-12-01
Posts: 1,444

Re: GNOME won't install

-eye wrote:

hi everybody!

im trying to get gnome to run on my archlinux, but the command "pacman -Sy gnome" doenst work. it prints an error message like "nss-spr conflicts with mozilla-firefox".
also tried with a complete fresh install. only base system install, + nvidia drivers and xorg with pacman, and the last would be then "gnome" but there im stuck.
has anybody a clou for this?

-eye

Install mozilla-firefox first, then gnome.


Frumpus addict
[mu'.krum.pus], [frum.pus]

Offline

Board footer

Powered by FluxBB